
namespace CRUDSampleApplication.Web
{
	using System;
	using System.Collections.Generic;
	using System.ComponentModel;
	using System.ComponentModel.DataAnnotations;
	using System.Linq;
	using System.ServiceModel.DomainServices.Hosting;
	using System.ServiceModel.DomainServices.Server;


	// The MetadataTypeAttribute identifies Order_DetailMetadata as the class
	// that carries additional metadata for the Order_Detail class.
	[MetadataTypeAttribute(typeof(Order_Detail.Order_DetailMetadata))]
	public partial class Order_Detail
	{

		// This class allows you to attach custom attributes to properties
		// of the Order_Detail class.
		//
		// For example, the following marks the Xyz property as a
		// required property and specifies the format for valid values:
		//    [Required]
		//    [RegularExpression("[A-Z][A-Za-z0-9]*")]
		//    [StringLength(32)]
		//    public string Xyz { get; set; }
		internal sealed class Order_DetailMetadata
		{

			// Metadata classes are not meant to be instantiated.
			private Order_DetailMetadata()
			{
			}

			public float Discount
			{
				get;
				set;
			}

			public int OrderID
			{
				get;
				set;
			}

			public int ProductID
			{
				get;
				set;
			}

			public short Quantity
			{
				get;
				set;
			}

			public decimal UnitPrice
			{
				get;
				set;
			}
		}
	}
}
